//! \file
//! \brief file to demonstrate bug in doxygen.
//! \author Ulrich Goetzke
//! \date   2007-10-22

int global_var; ///< reference to this variable will be overseen

/// function is reported to begin in line 6 when comments in C++ style are used
/// \param my_parameter dummy to produce some docu noise
/// \return always 0
///
int func_beginning_at_line_12( int my_parameter)
{
	return 0;
}

/// function is reported to begin in line 12 when comments in C++ style are used, so the wrong function code will be referenced. It looks like C++ style comment lines were not counted.
/// \param my_parameter dummy to produce some docu noise
/// \return always 0
///
int func_beginning_at_line_21( int my_parameter)
{
    global_var = 99; // this reference is overseen by doxygen 1.53 when comments are in C++ style because the line counting fails
	return 0;
}

