/** \file
 *  \brief file to demonstrate bug in doxygen.
 *  \author Ulrich Goetzke
 *  \date   2007-10-22 */

int global_var;

/** function is reported correctly when comments in Javadoc style are used
 * \param my_parameter dummy to produce some docu noise
 *  \return always 0
 */
int func_beginning_at_line_12( int my_parameter)
{
	return 0;
}

/** function and reference are reported correctly when comments in Javadoc style are used
 *  \param my_parameter dummy to produce some docu noise
 *  \return always 0
 */
int func_beginning_at_line_21( int my_parameter)
{
    global_var = 99; // this reference is reported correctly with comments in javadoc style
	return 0;
}
